Loading...
Searching...
No Matches
Cumulative counter of time as rate counter.

Report the cumulative counter of time for which a flag is true as rate counter. More...

## Files

file | time_cc.h
| Report the cumulative counter of time for which a flag is true as rate counter.
file | time_cc.c

## Data Structures

struct | osmo_time_cc_cfg
| Configuration for osmo_time_cc. More...
struct | osmo_time_cc
| Report the cumulative counter of time for which a flag is true as rate counter. More...

## Functions

void | osmo_time_cc_init (struct osmo_time_cc *tc)
void | osmo_time_cc_set_flag (struct osmo_time_cc *tc, bool flag)
void | osmo_time_cc_cleanup (struct osmo_time_cc *tc)

## Detailed Description

Report the cumulative counter of time for which a flag is true as rate counter.

Useful for reporting cumulative time counters as defined in 3GPP TS 52.402, for example allAvailableSDCCHAllocated, allAvailableTCHAllocated, availablePDCHAllocatedTime.

For a usage example, see the description of struct osmo_time_cc.

## Function Documentation

## osmo_time_cc_cleanup()

void osmo_time_cc_cleanup | ( | struct osmo_time_cc * | tc | ) |

## osmo_time_cc_init()

void osmo_time_cc_init | ( | struct osmo_time_cc * | tc | ) |

## osmo_time_cc_set_flag()

void osmo_time_cc_set_flag | ( | struct osmo_time_cc * | tc,
|  | bool | flag
| ) |  |